Name:           python-pyqt5-frameless-window
Version:        0.7.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A cross-platform frameless window based on pyqt5, support Win32, X11, Wayland and macOS.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/zhiyiYo/PyQt-Frameless-Window
Source:         %{pypi_source pyqt5_frameless_window}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyqt5-frameless-window' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyqt5-frameless-window
Summary:        %{summary}

%description -n python3-pyqt5-frameless-window %_description


%prep
%autosetup -p1 -n pyqt5_frameless_window-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyqt5-frameless-window -f %{pyproject_files}


%changelog
%autochangelog